Skip to main content
POST
/
v1
/
table
/
{id}
/
deregister
Deregister a table
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/deregister \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "context": {},
  "id": [
    "<string>"
  ]
}
'
import requests

url = "{scheme}://{host}:{port}/{basePath}/v1/table/{id}/deregister"

payload = {
    "identity": {
        "api_key": "<string>",
        "auth_token": "<string>"
    },
    "context": {},
    "id": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    identity: {api_key: '<string>', auth_token: '<string>'},
    context: {},
    id: ['<string>']
  })
};

fetch('{scheme}://{host}:{port}/{basePath}/v1/table/{id}/deregister', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "transaction_id": "<string>",
  "id": [
    "<string>"
  ],
  "location": "<string>",
  "properties": {
    "owner": "Ralph",
    "created_at": "1452120468"
  }
}
{
  "type": "/errors/bad-request",
  "title": "Malformed request",
  "status": 400,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/unauthorized-request",
  "title": "No valid authentication credentials for the operation",
  "status": 401,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/forbidden-request",
  "title": "Not authorized to make this request",
  "status": 403,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/not-found-error",
  "title": "Not found Error",
  "status": 404,
  "detail": "",
  "instance": "/v1/namespaces/{ns}"
}
{
  "type": "/errors/service-unavailable",
  "title": "Slow down",
  "status": 503,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "",
  "instance": "/v1/namespaces"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

The table content remains available in the storage.

identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]

Response

Response of DeregisterTable

transaction_id
string

Optional transaction identifier

id
string[]
location
string
properties
object | null

If the implementation does not support table properties, it should return null for this field. Otherwise it should return the properties.

Example:
{
  "owner": "Ralph",
  "created_at": "1452120468"
}